/*
  findprime.c

  Uses wheel factorization to generate a prime in a certain range.
  See http://www.utm.edu/research/primes/glossary/WheelFactorization.html

  Part of my implementation of the RSA scheme

  Code in findprime.c
*/

#ifndef _FINDPRIME_H
#define _FINDPRIME_H

// Uncomment the next line to disable assertions
// #define NDEBUG


#include <stdio.h> // File input
#include <stdlib.h> // random
#include <assert.h> // assert
#include <math.h> // sqrt and ceil

void seedRandom (void);
unsigned long int findPrime (unsigned long int, unsigned long int);

#endif
