/*
  #include "gcd.h"
  
  Finds the GCD of a and b.
  An implementation of the Euclidean algorithm.
  Return values:
  -	The GCD of a and b
*/

#include "gcd.h"

unsigned long int gcd (unsigned long int a, unsigned long int b)
{
  unsigned long int r = a, oldR = 0;

  while (r != 0)
    {
      oldR = r;
      r = a % b;
      a = b;
      b = r;
    }

  return oldR;
}
      
